{% extends 'template.html.twig' %}

{% block title %}
    Librairie de jeux
{% endblock %}

{% block body %}
    <div class="GameList">
        <div class="GameList__Title">
            <h1>
                Librairie        
            </h1>
        </div>
        <div class="GameList__TopArea">
            <form class="GameList__TopArea__Search">
                <button type="submit">
                    <i class="bi bi-search"></i>
                </button>
                <input type="text" id="searchInput" name="search" value="{{ app.request.query.get('search') }}" placeholder="Rechercher un jeu..." />
            </form>
        </div>
        {% if pagination.items is not empty %}
            <div class="CardArea">
                {% for game in pagination.items %}
                    <a href="{{ path('app_gamedetails', {'id': game.id}) }}" class="CardArea__Item">
                        <img src="{{ game.thumbnail }}" alt="ceci est la fin" />
                        <p>
                            {{ game.title }}
                        </p>
                    </a>
                {% endfor %}
            </div>
            <div class="GameList__Paginator">
                {{ knp_pagination_render(pagination) }}
            </div>
            {% else %}
            <div>
                Aucun résultat pour cette recherche.      
                            
            </div>
        {% endif %}
    </div>
{% endblock %}
